module Cats
  module Core
    class TokenAuthService
      AUTH_SECRET = '592fac227e8ee4ff985e376d554604f36c974b4f4605eb8d7ebe4dd1cf8fd8aa8e0cb85df1b48a8ec60cac7bb4117d854'\
                    '5c359123e14f6784dcd88e6e6a1ea8c'.freeze

      def self.issue(payload)
        JWT.encode(payload, auth_secret, 'HS256')
      end

      def self.decode(token)
        JWT.decode(token, auth_secret, true, algorithm: 'HS256').first
      end

      def self.auth_secret
        AUTH_SECRET
      end
    end
  end
end
