class CreateCatsCoreMenuItems < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_menu_items do |t|
      t.string :label, null: false
      t.string :icon
      t.string :route, null: false
      t.references :menu,
                   null: false,
                   index: { name: 'menu_on_mi_indx' },
                   foreign_key: { to_table: :cats_core_menus }

      t.timestamps
    end
  end
end
