class CreateCatsCoreRoleMenus < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_role_menus do |t|
      t.references :role,
                   null: false,
                   index: { name: 'role_on_rm_indx' },
                   foreign_key: { to_table: :cats_core_roles }
      t.references :menu,
                   null: false,
                   index: { name: 'menu_on_rm_indx' },
                   foreign_key: { to_table: :cats_core_menus }
      t.string :description

      t.timestamps
    end

    create_table(:cats_core_role_menus_menu_items, :id => false) do |t|
      t.references :role_menu,
                   null: false,
                   index: { name: 'rm_on_ummi_indx' },
                   foreign_key: { to_table: :cats_core_role_menus } 
      t.references :menu_item,
                   null: false,
                   index: { name: 'mi_on_ummi_indx' },
                   foreign_key: { to_table: :cats_core_menu_items }
    end
  end
end
