class CreateCatsCoreHrps < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_hrps do |t|
      t.string :reference_no, unique: true
      t.integer :year, null: false
      t.string :season, null: false
      t.string :status, null: false, default: 'Draft'

      t.references :ration,
                   null: false,
                   index: { name: 'ration_on_hrp_indx' },
                   foreign_key: { to_table: :cats_core_rations }

      t.timestamps
    end
  end
end
