module Cats
  module Core
    class GiftCertificate < ApplicationRecord
      belongs_to :donation
      belongs_to :commodity_category

      validates :reference_no, presence: true, uniqueness: true
      validates :gift_date, presence: true

      delegate(:name, to: :commodity_category, prefix: true)
    end
  end
end
