module Cats
  module Core
    class PurchaseOrder < ApplicationRecord
      belongs_to :donation
      belongs_to :commodity_category

      validates :reference_no, :order_date, :supplier, presence: true
      validates :reference_no, uniqueness: true

      delegate(:name, to: :commodity_category, prefix: true)
    end
  end
end
