module Cats
  module Core
    class RhnRequest < ApplicationRecord
      belongs_to :commodity

      validates :reference_no, :request_date, presence: true
      validates :reference_no, uniqueness: true

      delegate(:batch_no, to: :commodity, prefix: true)
    end
  end
end
