class CreateCatsCoreMenus < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_menus do |t|
      t.string :label, null: false
      t.string :icon
      t.references :application_module,
                   null: false,
                   index: { name: 'am_on_menus_indx' },
                   foreign_key: { to_table: :cats_core_application_modules }

      t.timestamps
    end
  end
end
