class CreateCatsCoreLocations < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_locations do |t|
      t.string :name, null: false
      t.string :location_type, null: false
      t.string :description
      t.string :ancestry

      t.timestamps
    end
    add_index :cats_core_locations, :ancestry
  end
end
