class CreateCatsCoreRhnRequests < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_rhn_requests do |t|
      t.string :reference_no, unique: true
      t.references :commodity,
                   null: false,
                   index: { name: 'commodity_on_rhn_indx' },
                   foreign_key: { to_table: :cats_core_commodities }
      t.date :request_date, null: false
      t.string :requested_by

      t.timestamps
    end
  end
end
