class CreateCatsCoreAllocationItems < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_allocation_items do |t|
      t.references :allocation,
                   null: false,
                   index: { name: 'allocation_on_ai_indx' },
                   foreign_key: { to_table: :cats_core_allocations }
      t.references :destination,
                   null: false,
                   index: { name: 'destination_on_ai_indx'},
                   foreign_key: { to_table: :cats_core_locations }
      t.float :quantity, null: false
      t.date :from, null: false
      t.date :to, null: false

      t.timestamps
    end
  end
end
