class CreateCatsCoreNotifications < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_notifications do |t|
      t.references :recipient, polymorphic: true, null: false
      t.string :type
      t.jsonb :params
      t.datetime :read_at

      t.timestamps
    end
    add_index :cats_core_notifications, :read_at
  end
end
